Bug 99391 - [ILK,G45,G965] piglit regressions
Summary: [ILK,G45,G965] piglit regressions
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Juan A. Suarez
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-12 23:35 UTC by Mark Janes
Modified: 2017-01-14 00:27 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Revert "i965/vec4/nir: vec4 also needs to remap vs attributes" (2.87 KB, patch)
2017-01-13 18:11 UTC, Juan A. Suarez
Details | Splinter Review
i965/vec4: Fix mapping attributes (1.06 KB, patch)
2017-01-13 18:11 UTC, Juan A. Suarez
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2017-01-12 23:35:54 UTC
The following piglit tests assert:

piglit-test piglit.spec.!opengl 1_0.gl-1_0-edgeflag
piglit-test piglit.spec.!opengl 1_0.gl-1_0-edgeflag-const
piglit-test piglit.spec.!opengl 1_0.gl-1_0-edgeflag-quads
piglit-test piglit.spec.!opengl 1_0.gl-1_0-polygon-line-aa
piglit-test piglit.spec.!opengl 1_1.clipflat
piglit-test piglit.spec.!opengl 1_1.point-line-no-cull
piglit-test piglit.spec.!opengl 1_1.polygon-mode
piglit-test piglit.spec.!opengl 1_1.polygon-mode-offset
piglit-test piglit.spec.!opengl 1_1.polygon-offset
piglit-test piglit.spec.!opengl 2_0.gl-2_0-edgeflag
piglit-test piglit.spec.!opengl 2_0.gl-2_0-edgeflag-immediate


mesa/drivers/dri/i965/brw_vec4.cpp:1713: void brw::vec4_visitor::lower_attributes_to_hw_regs(const int*, bool): Assertion `grf != 0' failed.

Bisected to:
57bab6708f2bbc1ab8a3d202e9a467963596d462
Author:     Alejandro Piñeiro <apinheiro@igalia.com>
i965/vec4/nir: vec4 also needs to remap vs attributes

Doubles need extra space, so we would need to do a remapping for vec4
too in order to take that into account. We reuse the already
existing remap_vs_attrs, but passing is_scalar, so they could
remap accordingly.

v2: code-format remap_vs_attrs_params initialization (Matt)

Signed-off-by: Alejandro Piñeiro <apinheiro@igalia.com>
Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>
Reviewed-by: Jordan Justen <jordan.l.justen@intel.com>


These failures were reported by Alejandro's CI project.  Similar regressions can be avoided in the future by assessing to CI results before sending patches to the list.
Comment 1 Juan A. Suarez 2017-01-13 18:11:18 UTC
Created attachment 128937 [details] [review]
Revert "i965/vec4/nir: vec4 also needs to remap vs attributes"

Do not perform a remap in vec4 backend. Rather, do it later when setup
attributes

Bugzilla:
Comment 2 Juan A. Suarez 2017-01-13 18:11:21 UTC
Created attachment 128938 [details] [review]
i965/vec4: Fix mapping attributes

This fixes mapping ATTRx to proper GRFn.

Bugzilla:
Comment 3 Jordan Justen 2017-01-13 20:15:16 UTC
Juan: You should send patches to the mesa-dev list. You can
then add a link to patchwork in the bugzilla.

Ken: Do you want to take a look at the Juan's patches attached
to this bugzilla entry?
Comment 4 Jordan Justen 2017-01-13 21:43:58 UTC
(In reply to Jordan Justen from comment #3)
> Juan: You should send patches to the mesa-dev list. You can
> then add a link to patchwork in the bugzilla.

Juan, I sent out a merged version of your two patches to
mesa-dev:

https://patchwork.freedesktop.org/patch/133157/
Comment 5 Juan A. Suarez 2017-01-13 22:14:55 UTC
(In reply to Jordan Justen from comment #3)
> Juan: You should send patches to the mesa-dev list. You can
> then add a link to patchwork in the bugzilla.
> 


Oh, sorry, wasn't sure about if I should attach here or send directly to mailing list.

Thanks for sending to ml  on my behalf.
Comment 6 Jordan Justen 2017-01-14 00:27:50 UTC
Juan, I pushed your merged patches as
56ee2df4bf9b1e8c26cf8689f5ef20237c95466b. Thanks for the
fix!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.